1

I created a pipeline to play an ogg formatted video on an embedded system. I used the gst plugins like libgstvorbis.so, libgsttheora.so, and libogg.so, and copied them to the /lib folder on my embedded system. But when trying to play the video, 'm receiving warnings like

(:25214): GStreamer-WARNING **: Failed to load plugin '/lib/gstreamer-0.10/libgstogg.so': /lib/gstreamer-0.10/libgstogg.so: undefined symbol: gst_collect_pads2_start

(:25214): GStreamer-WARNING **: Failed to load plugin '/lib/gstreamer-0.10/libgstvorbis.so': /lib/libm.so.6: version `GLIBC_2.15' not found (required by /lib/gstreamer-0.10/libvorbis.so.0)

(:25214): GStreamer-WARNING **: Failed to load plugin '/lib/gstreamer-0.10/libgsttheora.so': /lib/gstreamer-0.10/libgsttheora.so: undefined symbol: gst_element_class_add_static_pad_template

How can I fix this?

0

you have incompatible versions of libraries installed on your system.

  • libgvorbis.so was compiled against a different version of libm;: namely one that has a symbol GLIBC_2.15, and the libm you have installed lacks this symbol

  • libgstogg.so and libgsttheora.so refer to gstreamer-functions not found in your libstreamer-0.10.so

this basically means that your build-environment is incompatible with your target platform.

"embedded" is a very wide area, and covers a multitude of architectures and operating systems. the binaries you have been copying around have been created for the correct architecture, but it seems that there is a large version gap on the installed system.

hard to tell without more information.

depending on your system, you might have good luck by installing a full-fledged distro like Debian on it, which already comes with the required GStreamer plugins.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.